export const myPagination = {
    data() {
        return {
            pagination: {
                current: 1,
                total: 0,
                defaultPageSize: 15,
                pageSize: 15,
                showTotal: total => `共 ${total} 条数据`,
                showSizeChanger: true,
                pageSizeOptions: ["15", "20", "30","50", "100"],
                onShowSizeChange: (current, pageSize) => {
                    console.log(current, pageSize)
                    this.pagination.pageSize = pageSize;
                    this.pagination.current = current;
                }
            },
        }
    },
    methods:{
        TableChange(pagination){
            const pages = { ...this.pagination };
            pages.current = pagination.current;
            this.pagination = pages;
        }
    }
}